## org.biojava.bio.dp.twohead
Interface PairDPCursor

All Known Implementing Classes:
  AbstractMatrixPairDPCursor, BackMatrixPairDPCursor, LightPairDPCursor, MatrixPairDPCursor

    public interface PairDPCursor

A cursor over a DP matrix.

Author:
  Matthew Pocock

Method Summary
`int[]` `getDepth()` retrieve the depth of this cursor
`boolean` `hasNext()` test wether the cursor can be advanced further
`void` `next(Cell[][] cells)` retrieve the next block of cells
`Cell[][]` `press()` press out a new correctly sized cell array

Method Detail

### hasNext

    boolean hasNext()

  test wether the cursor can be advanced further

### next

    void next(Cell[][] cells)
              throws IllegalSymbolException

  retrieve the next block of cells

  Throws:
    `IllegalSymbolException`

### press

    Cell[][] press()

  press out a new correctly sized cell array

### getDepth

    int[] getDepth()

  retrieve the depth of this cursor